Get all service AI agent metric details using advanced query

post

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceAIAgentMetrics/$views/serviceAIAgentMetricDetails/$query

The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type: object
Values to be applied in a parameterized filter specific to the view.
Back to Top

Response

Default Response

Successful response of retrieving view serviceAIAgentMetricDetails for resource Service AI Agent Metrics
Body ()
Root Schema : serviceAIAgentMetrics_view-serviceAIAgentMetricDetails
Match All
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceAIAgentMetrics_view-serviceAIAgentMetricDetails-allOf[1]
Type: object
The service AI agent metric contains information about invocation of AI agents and the subsequent interaction of humans with AI's recommendations.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : confidenceScoreCode
Match All
The code for the confidence score of the service AI agent metric.
Show Source
  • Title: Confidence Score Code
    The code for the confidence score of the service AI agent metric.
  • Allowed Values: [ "ORA_SVC_COSINE", "ORA_SVC_JACCARD" ]
Nested Schema : objectType
Match All
Show Source
Nested Schema : outcomeType
Match All
Show Source
Nested Schema : serviceWorkflow
Match All
Show Source
Nested Schema : userDecision
Match All
Show Source
Nested Schema : userFeedback
Match All
Show Source
Nested Schema : objectType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : outcomeType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : serviceWorkflow-allOf[1]
Type: object
Show Source
Nested Schema : userDecision-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : userFeedback-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Back to Top

Examples

The following example shows how to get all service AI agent metric details using advanced query by submitting a POST request on the REST resource using cURL.

cURL Command

curl -X POST --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/$views/serviceAIAgentMetricDetails/$query' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>'

Example of Request Body

The following shows the contents of the response body in JSON format.

{
    "fields": [
        "id",
        "number",
        "agentTeamCode",
        "agentTeamVersion",
        "agentCode",
        "agentVersion",
        "objectReferenceNumber",
        "jobExecutionNumber",
        "humanInLoopFlag",
        "recommendationDisplayFlag",
        "confidenceScoreCode",
        "confidenceScore",
        "userFeedbackRating",
        "userFeedbackComment",
        "outcomeObjectIdentifier",
        "conversationNumber"
    ],
    "collection": {
        "limit": 2,
        "filter": "jobExecutionNumber='\''0000000000000000713eb3153bea73a1'\''"
    }
}

Example of Response Body

The following shows the contents of the response body in JSON format.

{
    "items": [
        {
            "id": "300100647912584",
            "number": "CDRM_0000002759",
            "agentTeamCode": "ORA_SERVICE_REQUEST_STALL_MANAGEMENT_ADVISOR_RA",
            "agentTeamVersion": "1",
            "agentCode": null,
            "agentVersion": null,
            "objectReferenceNumber": null,
            "jobExecutionNumber": "0000000000000000713eb3153bea73a1",
            "humanInLoopFlag": false,
            "recommendationDisplayFlag": false,
            "confidenceScoreCode": null,
            "confidenceScore": null,
            "userFeedbackRating": null,
            "userFeedbackComment": null,
            "outcomeObjectIdentifier": null,
            "conversationNumber": null,
            "$id": "CDRM_0000002759",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000002759"
                    }
                }
            }
        },
        {
            "id": "300100647912640",
            "number": "CDRM_0000002760",
            "agentTeamCode": "ORA_SERVICE_REQUEST_RESOLUTION_PERFORMANCE_ADVISOR_RA",
            "agentTeamVersion": "1",
            "agentCode": null,
            "agentVersion": null,
            "objectReferenceNumber": null,
            "jobExecutionNumber": "0000000000000000713eb3153bea73a1",
            "humanInLoopFlag": false,
            "recommendationDisplayFlag": false,
            "confidenceScoreCode": null,
            "confidenceScore": null,
            "userFeedbackRating": null,
            "userFeedbackComment": null,
            "outcomeObjectIdentifier": null,
            "conversationNumber": null,
            "$id": "CDRM_0000002760",
            "$context": {
                "etag": "1",
                "links": {
                    "$self": {
                        "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceAIAgentMetrics/CDRM_0000002760"
                    }
                }
            }
        }
    ],
    "hasMore": false
}
Back to Top